gi-pango-1.0.29: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Pango.Structs.GlyphInfo

Contents

- Exported types
- Methods
- Properties
  - attr
  - geometry
  - glyph

Description

A `PangoGlyphInfo` structure represents a single glyph with positioning information and visual attributes.

Synopsis

- newtype GlyphInfo = GlyphInfo (ManagedPtr GlyphInfo)
- newZeroGlyphInfo :: MonadIO m => m GlyphInfo
- getGlyphInfoAttr :: MonadIO m => GlyphInfo -> m GlyphVisAttr
- getGlyphInfoGeometry :: MonadIO m => GlyphInfo -> m GlyphGeometry
- getGlyphInfoGlyph :: MonadIO m => GlyphInfo -> m Word32
- setGlyphInfoGlyph :: MonadIO m => GlyphInfo -> Word32 -> m ()

# Exported types

newtype GlyphInfo Source #

Memory-managed wrapper type.

Constructors

GlyphInfo (ManagedPtr GlyphInfo) |

#### Instances

Instances details

Eq GlyphInfo Source # |
Instance details Defined in GI.Pango.Structs.GlyphInfo Methods (==) :: GlyphInfo -> GlyphInfo -> Bool Source # (/=) :: GlyphInfo -> GlyphInfo -> Bool Source #
BoxedPtr GlyphInfo Source # |
Instance details Defined in GI.Pango.Structs.GlyphInfo Methods boxedPtrCopy :: GlyphInfo -> IO GlyphInfo Source # boxedPtrFree :: GlyphInfo -> IO () Source #
CallocPtr GlyphInfo Source # |
Instance details Defined in GI.Pango.Structs.GlyphInfo Methods boxedPtrCalloc :: IO (Ptr GlyphInfo) Source #
ManagedPtrNewtype GlyphInfo Source # |
Instance details Defined in GI.Pango.Structs.GlyphInfo Methods toManagedPtr :: GlyphInfo -> ManagedPtr GlyphInfo Source #
tag ~ 'AttrSet => Constructible GlyphInfo tag Source # |
Instance details Defined in GI.Pango.Structs.GlyphInfo Methods new :: MonadIO m => (ManagedPtr GlyphInfo -> GlyphInfo) -> [AttrOp GlyphInfo tag] -> m GlyphInfo Source #

newZeroGlyphInfo :: MonadIO m => m GlyphInfo Source #

Construct a `GlyphInfo` struct initialized to zero.

# Methods

# Properties

## attr

the visual attributes of the glyph.

getGlyphInfoAttr :: MonadIO m => GlyphInfo -> m GlyphVisAttr Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get glyphInfo #attr

## geometry

the positional information about the glyph.

getGlyphInfoGeometry :: MonadIO m => GlyphInfo -> m GlyphGeometry Source #

Get the value of the “`geometry`” field. When overloading is enabled, this is equivalent to

    get glyphInfo #geometry

## glyph

the glyph itself.

getGlyphInfoGlyph :: MonadIO m => GlyphInfo -> m Word32 Source #

Get the value of the “`glyph`” field. When overloading is enabled, this is equivalent to

    get glyphInfo #glyph

setGlyphInfoGlyph :: MonadIO m => GlyphInfo -> Word32 -> m () Source #

Set the value of the “`glyph`” field. When overloading is enabled, this is equivalent to

    set glyphInfo [ #glyph := value ]